GETDisponible

    Obtener documentos

    Operación autenticada de la API de BeepCall.

    https://app.beepcall.ai/api/user/knowledgebases/{knowledgebaseId}/documents

    Parámetros

    Authorization*headerBearer tokenClave de API de BeepCall.
    knowledgebaseId*pathintegerIdentificador knowledgebaseId.

    * Obligatorio

    Ejemplo de solicitud

    curl -X GET "https://app.beepcall.ai/api/user/knowledgebases/1/documents" \
      -H "Authorization: Bearer YOUR_API_KEY"

    Respuesta

    json
    {
      "data": [
        {
          "id": 1,
          "name": "Product Manual",
          "description": "Complete product user manual",
          "type": "pdf",
          "type_label": "PDF",
          "status": "active",
          "status_label": "Active",
          "created_at": "2025-01-05T10:30:00.000000Z",
          "updated_at": "2025-01-05T10:35:00.000000Z"
        },
        {
          "id": 2,
          "name": "Company Website",
          "description": "Main website content",
          "type": "website",
          "type_label": "Website",
          "status": "processing",
          "status_label": "Processing",
          "created_at": "2025-01-08T09:00:00.000000Z",
          "updated_at": "2025-01-08T09:00:00.000000Z"
        }
      ]
    }

    Errores habituales

    404